%define         datever 20061216

Name:           MyPasswordSafe
Version:        0.6.7
Release:        1.%{datever}%{?dist}
Summary:        A graphical password management tool

Group:          Applications/Databases
License:        GPLv2+
URL:            http://www.semanticgap.com/myps/
Source0:        http://www.semanticgap.com/myps/release/MyPasswordSafe-%{datever}.src.tgz
Source1:        MyPasswordSafe.desktop
Patch0:         MyPasswordSafe-20061216-use-system-uuid.patch
# Both patches have been sent to support [AT] semanticgap [DOT] com on 2009/04/25
Patch1:         MyPasswordSafe-20061216-gcc43.patch
Patch2:         MyPasswordSafe-20090425-gcc44.patch
Patch3:         MyPasswordSafe-20061216-fix-off-by-one.patch
Patch4:         MyPasswordSafe-20061216-stack-trash.patch
Patch5:         MyPasswordSafe-20061216-unsigned-convert.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  boost-devel, qt3-devel, uuid-devel, libXScrnSaver-devel
BuildRequires:  desktop-file-utils

%description
MyPasswordSafe is a straight-forward, easy-to-use password manager that
maintains compatibility with Password Safe files. MyPasswordSafe has the
following features:

* Safes are encrypted when they are stored to disk.
* Passwords never have to be seen, because they are copied to the clipboard
* Random passwords can be generated.
* Window size, position, and column widths are remembered.
* Passwords remain encrypted until they need to be decrypted at the dialog
  and file levels.
* A safe can be made active so it will always be opened when MyPasswordSafe
  starts.
* Supports Unicode in the safes
* Languages supported: English and French


%prep
%setup -q -n %{name}-%{datever}

# Use the system installed ossp-uuid lib
%patch0 -p1 -b .use-system-uuid.patch

# Fix regressions due to stricter GCC 4.3 checking
%patch1 -p1 -b .gcc43

# GCC 4.4 patch
%patch2 -b .gcc44

# Fix off-by-one in EncryptedString::get
%patch3 -p1 -b off-by-one

# Fix stack trashing due to wrong array size calculations
%patch4 -p1 -b stack-trash

# Fix compiler warnings for narrowing to char
%patch5 -p1 -b unsigned-convert

%build

unset QTDIR || : ; . /etc/profile.d/qt.sh

make %{?_smp_mflags} PREFIX=%{_prefix}


%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT%{_prefix}

# Remove the docs, they are in the wrong place.
rm -rf $RPM_BUILD_ROOT%{_prefix}/share/doc

desktop-file-install \
%if 0%{?fedora} && 0%{?fedora} < 19
  --vendor="fedora"               \
%endif
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications    \
    %{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog CHANGES COPYING README doc/manual.html doc/sshots/*.jpg
%{_bindir}/MyPasswordSafe
%{_datadir}/MyPasswordSafe
%if 0%{?fedora} && 0%{?fedora} < 19
%{_datadir}/applications/fedora-MyPasswordSafe.desktop
%else
%{_datadir}/applications/MyPasswordSafe.desktop
%endif

%changelog
* Sat Dec 21 2013 Ralf Ertzinger <ralf@skytale.net> - 0.6.7-19.20061216
- Fix stack trashing due to wrong size calculation, closes bz1042667
- Fix compiler warnings about narrowing longs into chars

* Thu Feb 14 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6.7-16.20061216
- Remove --vendor from desktop-file-install https://fedorahosted.org/fesco/ticket/1077

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.7-15.20061216
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.7-14.20061216
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.7-13.20061216
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.7-12.20061216
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Nov 13 2010 Ralf Ertzinger <ralf@skytale.net>
- Fix off-by-one in encryptstring.cpp, closes bz652928

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.7-9.20061216
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Apr 25 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 0.6.7-8.20061216
- Fix FTBFS: added MyPasswordSafe-20090425-gcc44.patch

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.7-7.20061216
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jul 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.6.7-6.20061216
- fix license tag

* Sat Apr 05 2008 Ralf Ertzinger <ralf@skytale.net> 0.6.7-5.20061216
- Change BuildRequires to qt3-devel

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.6.7-4.20061216
- Autorebuild for GCC 4.3

* Fri Jan 04 2008 Ralf Ertzinger <ralf@skytale.net> 0.6.7-3.20061216
- Add patch to enable compilation with GCC4.3

* Fri Jul 06 2007 Ralf Ertzinger <ralf@skytale.net> 0.6.7-1.20061216
- Initial build for Fedora
